コンテンツへスキップ

Flux 3 Image · Edit Image

統合

モデルID blackforestlabs/flux-3/edit-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.048 48 APIクレジット このページで実行

APIキーを取得
Black Forest Labs 画像編集 4K出力4kまで #flux-3-image#black-forest-labs#multi-reference

FLUX 3画像エディター。ローカル編集と最大10枚の参照画像の合成に対応します

Black Forest Labs · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像生成を導くプロンプト。

•必須 image_urls
ファイルをドロップ、または · 10まで

URLまたはデータURIで提供する参照画像。自動アスペクト比はimage 1からimage 10までの並びで最初の画像に従います。両方の寸法は少なくとも256ピクセル必要です。自動縮小では、比率を変更せずに大きすぎる画像を4メガピクセル以下に制限します。

resolution デフォルト 1k

出力の解像度レベル。4kでの生成には数分かかる場合があります。

デフォルト auto

出力のアスペクト比。編集中は最初の参照画像の比率に合わせます。

詳細設定 output_format · version · safety_tolerance · enable_prompt_expansion
output_format デフォルト jpeg

結果の画像のファイル形式。

デフォルト latest

使用するモデルのバージョン。

デフォルト 2

安全性許容度。最も厳格な0から4までです。

POST /run/blackforestlabs/flux-3/edit-image?wait=20 見積もり → $0.048
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Flux 3 Image · Edit Imageについて

画像を編集するか、`image_urls`の1~10枚の参照画像(各辺256ピクセル以上)から結果を合成します。14種類の`aspect_ratio`から選択するかautoにすると、最初の参照画像に従います。`resolution`は512sq、768sq、1k、2k、4kに対応し、4kでは数分かかる場合があります。プロンプト拡張とjpegまたはpng出力はオプションです。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
画像生成を導くプロンプト。
image_urls必須 images
型url[] · image
≤ 10項目
URLまたはデータURIで提供する参照画像。自動アスペクト比はimage 1からimage 10までの並びで最初の画像に従います。両方の寸法は少なくとも256ピクセル必要です。自動縮小では、比率を変更せずに大きすぎる画像を4メガピクセル以下に制限します。
aspect_ratio任意
型enum
デフォルトauto
auto21:92:116:93:27:54:35:41:14:53:45:72:39:161:2
出力のアスペクト比。編集中は最初の参照画像の比率に合わせます。
resolution任意
型enum
デフォルト1k
512sq768sq1k2k4k
出力の解像度レベル。4kでの生成には数分かかる場合があります。
enable_prompt_expansion任意
型boolean
デフォルトfalse
意図した意味や参照の役割を変えずにプロンプトを拡張するかどうかを制御します。
safety_tolerance任意
型integer
デフォルト2
0 – 4
安全性許容度。最も厳格な0から4までです。
output_format任意
型enum
デフォルトjpeg
jpegpng
結果の画像のファイル形式。
version任意
型string
デフォルトlatest
使用するモデルのバージョン。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/edit-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 48,
    "usd": "0.048",
    "charged": 48,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/blackforestlabs/flux-3/edit-image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt